Bug 449876 - gnome desktop does not recognise vlc or realplayer as media player applications
gnome desktop does not recognise vlc or realplayer as media player applications
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
9
All Linux
low Severity urgent
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-03 22:44 EDT by David
Modified: 2008-06-28 07:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-28 07:50:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David 2008-06-03 22:44:01 EDT
Description of problem:
gnome desktop does not recognise vlc or realplayer as media player applications.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 David 2008-06-04 22:18:12 EDT
gnome 2.22-3 has been released can we PLEASE get this packaged into updates-testing ASAP to 
resolve this issue.
Comment 2 David 2008-06-05 21:06:11 EDT
Any update on getting the latest gnome built for F9 testing? The desktop is unuseable as you can't 
select other applications other than rhythmbox and totem. This is a known bug in gnome so we need 
to be building these updates as they are released.
Comment 3 Bastien Nocera 2008-06-27 06:45:41 EDT
That's a control-center problem. You can modify
/usr/share/gnome-control-center/gnome-default-applications.xml to add media
players by adding the lines:
    <media-player>
      <name>Name of media player</name>
      <executable>executable</executable>
      <command>executable</command>
      <icon-name>icon-name</icon-name>
      <run-in-terminal>false</run-in-terminal>
    </media-player>
for each media player inside the <media-players> section.

Let us know what you added for VLC and Realplayer.
Comment 4 David 2008-06-27 07:26:22 EDT
Thanks that's a great help :)

Any idea when the next update for gnome will be pushed to koji and then
updates-testing?

I know 2.22.3 is  July 2 for Stable Release 
Comment 5 Bastien Nocera 2008-06-27 16:15:06 EDT
Why would that matter, it's not fixed either upstream or downstream.

We need to know what to add to the definitions, otherwise we'll never have them...
Comment 6 David 2008-06-28 03:57:06 EDT
Its been added to the VLC package, some new definition is required for the
desktop files for the media players:

edit /usr/share/applications/realplay.desktop

Add this to the mimes...
;x-content/video-vcd;x-content/video-svcd;x-content/video-dvd;x-content/audio-cdda;x-content/audio-player;

Save it and then:

update-desktop-database /usr/share/applications

There was a fix done in vlc update that had new desktop files.
Comment 7 Bastien Nocera 2008-06-28 07:50:54 EDT
If you're talking about having those applications being registered for
auto-launch in nautilus, then there's nothing that we can do. It's up to the
providers of those packages to add the necessary mime-types.

If you want those media players added to the default applications preferences,
please file a new bug with the additions you made to the
gnome-default-applications.xml file.

Note You need to log in before you can comment on or make changes to this bug.